
/* 全局loading */
.comm-loading {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 10000;
  background: rgba(0, 0, 0, 0);
  display: none;
}
.comm-loading .load {
  position: absolute;
  left: 50%;
  top: 50%;
  margin: -5rem 0 0 -5rem;
  width: 10rem;
  height: 10rem;
  animation: rotate 2s linear infinite;
}
.comm-loading .loading {
  stroke: #2E89E6;
  stroke-width: 5;
  fill: none;
  animation: dash 1.5s linear infinite;
}

@keyframes dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 130, 200;
    stroke-dashoffset: -50;
  }
  100% {
    stroke-dasharray: 130, 200;
    stroke-dashoffset: -188;
  }
}
@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
/* 全局loading 结束*/

/*单行溢出*/
.one-txt-cut {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

/*2行溢出 手机端使用*/
.txt-cut-2 {
  overflow : hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
} 
/*3行溢出 手机端使用*/
.txt-cut-3 {
  overflow : hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

/* 公用侧边栏工具  */
.coomon-tools {
  position: fixed;
  right: 1.6rem;
  top: 50%;
  transform: rotateY(-50%);
  z-index: 20;
}
.coomon-tools > div {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 7.2rem;
  height: 7.2rem;
  border-radius: 50%;
  background: rgba(0, 0, 0, 0.62);
  color: #fff;
  box-shadow: 0 1.8rem 6.4rem 0 rgba(24, 24, 24, 0.12);
}
.coomon-tools .to-top img {
  width: 4.3rem;
  height: 2.2rem;
}
.coomon-tools .report {
  font-size: 2.4rem;
  margin-top: 2rem;
}
.coomon-tools .qcode {
  margin-top: 2rem;
  display:none;
}
.coomon-tools .qcode img {
  width: 4rem;
  height: 4rem;
}

.common-mask {
  position: fixed;
  height: 100vh;
  width: 100vw;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1001;
  display: none;
}
/* 举报反馈 */
.common-report {
  position: absolute;
  width: 80vw;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
}
.common-report .inner {
  background: #fff;
  border-radius: 2rem;
  padding: 3rem;
}
.common-report .inner > p {
  color: #333;
  font-size: 20px;
  text-align: center;
}
.common-report .inner > ul {
  margin-top: 2rem;
}
.common-report .inner > ul li {
  display: flex;
  height: 8rem;
  align-items: center;
}
.common-report .inner > ul li img {
  width: 4rem;
  height: 4rem;
  margin-right: 3rem;
}
.common-report .inner > ul li img:nth-of-type(2) {
  display: none;
}
.common-report .inner > ul li.active img:nth-of-type(2) {
  display: block;
}
.common-report .inner > ul li.active img:nth-of-type(1) {
  display: none;
}
.common-report .inner > ul li span {
  color: #333;
  font-size: 14px;
}
.common-report .inner textarea {
  margin-top: 1rem;
  width: 100%;
  height: 16rem;
  background: #f1f1f1;
  color: #333;
  font-size: 14px;
  border-radius: 1rem;
  border: none;
  outline: none;
  resize: none;
  padding: 2rem;
  font-family: Tahoma,sans-serif;
}
.common-report .inner .sub-report {
  height: 8rem;
  margin: 2rem auto 0;
  border-radius: 1rem;
  background: #2E8AE6;
  color: #fff;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.common-report .close {
  display: block;
  margin: 4rem auto 0;
  width: 6rem;
  height: 6rem;
}
/* 公众号弹窗 */
.wx-qrcode {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1000;
}
.wx-qrcode .qrcode-img {
  width: 57.8rem;
  height: 77.7rem;
}
.wx-qrcode .close-btn {
  width: 6.4rem;
  height: 6.4rem;
  margin-top: 4rem;
}
/* 回到顶部图标 */
.to-top {
  width: 8rem;
  height: 8rem;
  background: rgba(0, 0, 0, 0.43);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  position: fixed;
  right: 1.6rem;
  bottom: 25%;
}

.to-top.none {
  display: none;
}

.to-top .top-img {
  width: 3.2rem;
  height: 4rem;
}